$(document).ready(function () {

    $("body").on("click", '.remove', remove);
    $("#submit").hide();
    $("body").on("focus change blur", ".tour,.vregnno", Getregno);
    $("body").on("blur", ".issdate, .expdate", getDoe);

    $('.pop').on('click', function() {
        $('.imagepreview').attr('src', $(this).find('img').attr('src'));
        $('#imagemodal').modal('show');
    });

    $(".image").change(function() {
        readURL0(this);
    });
    $(".ppfront").change(function() {
        readURL1(this);
    });
    $(".ppback").change(function() {
        readURL2(this);
    });
    $(".panimg").change(function() {
        readURL3(this);
    });
    $(".aadhaarimg").change(function() {
        readURL4(this);
    });
    $(".insuranc").change(function() {
        readURL5(this);
    });
    $(".visaimg").change(function() {
        readURL6(this);
    });
    $(".healthimg").change(function() {
        readURL7(this);
    });


    function readURL0(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                $('.paximg').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    function readURL1(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                $('.view1').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }
    
    function readURL2(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                $('.view2').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    function readURL3(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                $('.view3').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    function readURL4(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                $('.view4').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    function readURL5(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                $('.view5').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    function readURL6(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                $('.view6').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    function readURL7(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function(e) {
                $('.view7').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }



    function getDoe() {

        var dob = $(".dob").val(),
                valid = true,
                deptdate = $(".depdate").val(),
                issdate = $(".issdate").val();
        var now = new Date(deptdate);
        var past = new Date(dob);
        var nowYear = now.getFullYear();
        var pastYear = past.getFullYear();
        var age = nowYear - pastYear;

        var expdate = $(".expdate").val(),
                deptdate = $(".depdate").val();
        if (deptdate != "0000-00-00" && deptdate != '' && expdate != "0000-00-00" && expdate != '') {
            var inputEDate = new Date($(".depdate").val());
            var resultEDate = new Date(inputEDate);
            resultEDate.setMonth(inputEDate.getMonth() + 6);
            resultEDate.setDate(resultEDate.getDate() - 1);
            var resultEDateString = resultEDate.toISOString().split("T")[0];

            if (expdate != "0000-00-00" && expdate != '') {

                if (expdate < resultEDateString) {
                    alert("Passport Expiry Should Be Greater Than 6 Months From Departure Date");
                    $(".issdate").val("0000-00-00");
                    $(".expdate").val("0000-00-00");
                    $(".expdate").focus();
                    return false;
                    valid = false;
                }
            }
        }



    }

    function Getregno() {
        var tour = $(".tour").val();
        var vregnno = $(".vregnno").val();

        $.post('getdepdate.php', {vregnno: vregnno}, function (data) {
            $('.depdate').val(data);
        });

    }


    $("#finishTab").click(function () {
        // getDoe();
        var vouchno = $('.vouchno').val(),
                vregnno = $('.vregnno').val(),
                addflg = $('.addflg').val(),
                valid = true,
                a = 1;

        $.post('cntPax.php', {vregnno: vregnno, addflg: addflg}, function (data) {
            if (data > 0) {
                alert("No. Of Pax Does Not Match With Regn. Booking Entry. Please Check");
                valid = false;
                return false;

            }
        });

        if (vouchno == '') {
            var message = "Voucher Cannot Be Empty";
            alert(message);
            $("#finishTab").show();

            return false;
            valid = false;
        }
        if (vregnno == '') {
            var message = "Regn. No. Cannot Be Empty";
            alert(message);
            $("#finishTab").show();

            return false;
            valid = false;
        }

        if (valid) {
            var isValid = true;
            if (isValid) {
                $("#finishTab").hide();
                $("#submit").click();
                $("#cancel").hide();
            }
        }

    });

    $('#addnew').click(function () {
        AddRows();
    });



    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;

        $.post('paxform_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    function remove() {
        $(this).closest("tr").remove();
    }


});